org.richfaces.ui.output.component

## Enum UIXAxis.Properties

- java.lang.Object
- - java.lang.Enum<UIXAxis.Properties>
  - - org.richfaces.ui.output.component.UIXAxis.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIXAxis.Properties>
  Enclosing class:
    UIXAxis

      protected static enum UIXAxis.Properties
      extends Enum<UIXAxis.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `format`
    `label`
    `max`
    `min`
    `pad`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIXAxis.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIXAxis.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### format

          public static final UIXAxis.Properties format

    - #### label

          public static final UIXAxis.Properties label

    - #### max

          public static final UIXAxis.Properties max

    - #### min

          public static final UIXAxis.Properties min

    - #### pad

          public static final UIXAxis.Properties pad

  - ### Method Detail

    - #### values

          public static UIXAxis.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIXAxis.Properties c : UIXAxis.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIXAxis.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.